import { select, arc } from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');
const g = svg.append('g')
	.attr('transform', `translate(${width/2}, ${height/2})`);


const circle = g
	.append('circle')
    .attr('r', height/2)
    .attr('fill', 'lavender')
    .attr('stroke', 'purple');

const nose =g
	.append('circle')
    .attr('r', height/20)
    .attr('fill', 'black')
    .attr('stroke', 'black')

const hairspacing = 240
const eyeSpacing = 75;
const eyeYOffset = -50;
const eyeRadius = 15;
const eyeBrowWidth = 60;
const eyeBrowHeight = 25;
const eyebrowYoffset = -80;
const eyesG = g
	.append('g')
		.attr('transform', `translate(0, ${eyeYOffset})`);;

const eyesBrowsG = eyesG
	.append('g')
		.attr('transform', `translate(0, ${eyebrowYoffset})`);

eyesBrowsG
		.transition().duration(3000)
		.attr('transform', `translate(0, ${eyebrowYoffset - 50})`)
	.transition().duration(3000)
		.attr('transform', `translate(0, ${eyebrowYoffset})`);

const leftEye = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', - eyeSpacing)
	
const rightEye = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', + eyeSpacing)

const leftEyeBrow = eyesBrowsG
	.append('rect')
    .attr('x', -eyeSpacing - eyeBrowWidth/2)
    .attr('width', eyeBrowWidth)
    .attr('height', eyeBrowHeight);

const rightEyeBrow = eyesBrowsG
	.append('rect')
    .attr('x', +eyeSpacing - eyeBrowWidth/2)
    .attr('width', eyeBrowWidth)
    .attr('height', eyeBrowHeight)

const hair1 = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', - hairspacing)
	
const hair2 = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', + hairspacing)

const mouth = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle: Math.PI/2,
      endAngle: Math.PI * 3/2
  }));